package com.simonstl.fragment;

import java.util.*;


/*
The contents of this file are subject to the Mozilla Public License  Version 1.1 (the "License"); you may not use this file except in  compliance with the License. You may obtain a copy of the License at 
http://www.mozilla.org/MPL/ 
Software distributed under the License is distributed on an "AS IS"  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the  License for the specific language governing rights and limitations under  the License. 

The Original Code is available at  http://simonstl.com/projects/fragment/original. 

The Initial Developer of the Original Code is Simon St.Laurent. Portions created by Simon St.Laurent are Copyright (C) 2001. All Rights Reserved. 

Contributor(s): 
*/

/**
* The RegExInt interface defines the interface any wrapper for regex functionality must implement.
*
* For more information on which wrapper is chosen for a given run, see {@link com.simonstl.fragment.RegexProcFactory RegexProcFactory}.
*
* @version 0.01 11 July 2001
* @author Simon St.Laurent
*/


public interface RegExInt {

public void setPattern(String pattern);

public ArrayList divide(String elementContent);

}
